﻿using Azure.Storage.Blobs.Models;
using DamageAssesment.Api.DocuLinks.Models;

namespace DamageAssesment.Api.DocuLinks.Interfaces
{
    public interface IAzureBlobService
    {
        Task<List<Azure.Response<BlobContentInfo>>> UploadFiles(List<IFormFile> files);
        Task<Models.Doculink> UploadDocument(int counter, ReqDoculink documentInfo);
        Task<Models.Doculink> UpdateDocuments(int counter, Models.Doculink document, ReqDoculink documentInfo);
        void DeleteFile(string path);
        void Movefile(string path);
    }
}
