﻿using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace DamageAssesment.Api.Responses.Db
{
    [Table("SurveyResponses")]
    public class SurveyResponse
    {
        [Key]
        public int Id { get; set; }

        [ForeignKey("Survey")]
        public int SurveyId { get; set; }
        [ForeignKey("Location")]
        public int LocationId { get; set; }

        [StringLength(6)]
        [ForeignKey("Employee")]
        public int EmployeeId { get; set; }

        public DateTime? CreatedDate { get; set; } = DateTime.Now;

        [StringLength(50)]
        public string? ClientDevice { get; set; }

        [StringLength(250)]
        public string? KeyAnswerResult { get; set; }
        public double? Longitute { get; set; }
        public double? Latitude { get; set; }

    }
}
