﻿using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using System.Text.Json.Serialization;

namespace DamageAssesment.Api.UsersAccess.Db
{
    public class Role
    {
        [Key]
        public int Id { get; set; }

        [StringLength(100)]
        [Required]
        public string Name { get; set; }

        // add a status field

        [StringLength(100)]
        public string? Description { get; set; }
    }
}
